/*
 * expression program copyright (C) 2009 - 2013 H.Niwa
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

#ifndef _EXPRESSION_H
#define _EXPRESSION_H

extern int Comparingi(Context* cx, Node* &exp);
extern int Comparingf(Context* cx, Node* &exp);
extern int ComparingC(Context* cx, Node* &exp);
extern int Expressioni(Context* cx, Node* &exp);
extern int Expressionf(Context* cx, Node* &exp);
extern int ExpressionC(Context* cx, Node* &exp);


#endif // _EXPRESSION_H
